Welcome Inspire Pilots!
Join our free DJI Inspire community today!
Sign up

Inspire 1 Pro X5R Past Firmware Files (Rollback from v1.11)

Hi !
Just reading this, I was looking for the info.
Just one point.
How do you downgrade the RC ?
Seems that the downgrade with the 'debug' trick does not work with the old way (FW + Debug file on a USB key). I tried...
However, it's possible to downgrade the RC with the appli.
But what is the RC version compatible with the AC FW 1.08.01.00
I think it's 1.6.0, but I'm not sure. Can someone confirm ?
 
May I ask a last question.
Assuming the downgrade of the AC + RC to 1.08 is successfull, what about DJI Go ?
Will the Inspire at 1.08 work with DJI Go 3 version '2018' :) ?
 
Thanks for all the follow-up help with this issues guys!
We've found the solution:
It appears the 1.11 version of the Inspire Firmware did not allow downgrading by default as previous iterations did.
However, there is a workaround.
Simply create an Empty File with no extension with the name:
For X5R camera - WM610_FC550R_FW_DEBUG
For X5 camera - WM610_FC550_FW_DEBUG
For X3 camera - WM610_FW_DEBUG

Place the empty, extensionless file along with the desired Firmware Downgrade .bin file onto the MicroSD card and wait 40 minutes for the downgrade. The other cool feature of this DEBUG hack is the ability to downgrade multiple versions at once. So you can take your Inspire from FW1.11 straight to 1.08 in a single go.

Hope this helps some others!


Hi
Can you help, please ?
I tried today with an Inspire Pro, it did not work !!!!
- What I did:
I put on the SD, the FW WM610_FC550_V01.08.01.00 and the file WM610_FC550_FW_DEBUG with no extension
version.
- What I got:

========== 2018.01.13 15:48:49 =====================
Packet: WM610_FC550_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2018.01.13 15:49:24 =====================
Packet: WM610_FC550_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:08 remo-con disconnect======
Packet: WM610_FC550_FW_V01.08.01.00.bin
Result: Abort.
The current firmware does not support downgrade. Use a different version of firmware to downgrade the target version.


Can you explain ??
What do you mean by wait 40 min ? Do you mean, you have to leave the Inspire 40mn with power ON and the FW downgrade will start after 40 mn ?

Thanks in advance for your help
 
Update...
I forgot one thing. The file extension visu was not activated on my windows :)
my debug file was actually a .txt.
I removed the extension, and it worked fine. About 35 mn to pass from 1.11 to 1.08.
I downgraded the AC first, the RC via the appli next. I had to rebind the RC with the AC.

After that, the communication works fine with the ipad mini2 and (good news) the crystalsky which is up do date.
If the weather is OK, will try a flight tomorrow
 
Update: I found copies of v1.09 and v1.10 firmware bin files.
Currently have WM610_FC550R_FW_V01.11.01.50.bin installed on my Inspire 1 Pro X5R.
Loaded v1.10 onto the MicroSD card in an attempt to downgrade.
Was greeted with this RESULT message:
Packet: WM610_FC550R_FW_V01.10.01.40.bin
Result: Abort.
The current firmware does not support downgrade. Use a different version of firmware to downgrade the target version.

I also read the release notes for v1.11 and didn't notice any mention of the possibility to rollback.

Am I correct to assume that it is impossible to downgrade an Inspire 1 Raw from v1.11?
Where did end up finding them?
 

Members online

Forum statistics

Threads
22,341
Messages
210,885
Members
35,101
Latest member
bestseocompany